POST
/affiliate_seller/202605/target_collaborations/conflicts/resolve
Execute resolution actions on resolvable conflict items within the scope of seller authorization.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”shop_cipher
required
string
Identifies the shop. Obtain it from the Get Authorized Shops API.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
conflict_items
required
A list of creators and their existing target collaborations involved in conflicts that caused target collaboration failure. Each item identifies a creator and the existing target collaboration from which that creator will be removed.
Array<object>
object
existing_collaboration_id
required
The confict target collaboration id
string
creator_open_id
required
Creator Open ID. More details
string
Example
{ "conflict_items": [ { "existing_collaboration_id": "123", "creator_open_id": "uACafQAAAABmUU2qon4R0vUYvUVS3QC6CICP2m5A2-wd77j8R9G0yg" } ]}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
success_items
Success update items
Array<object>
object
creator_open_id
Creator Open ID. More details
string
existing_collaboration_id
The confict target collaboration id
string
failed_items
Failed update items
Array<object>
object
creator_open_id
Creator Open ID. More details
string
existing_collaboration_id
The confict target collaboration id
string
Example
{ "code": 0, "data": { "success_items": [ { "creator_open_id": "uACafQAAAABmUU2qon4R0vUYvUVS3QC6CICP2m5A2-wd77j8R9G0yg", "existing_collaboration_id": "123" } ], "failed_items": [ { "creator_open_id": "uACafQAAAABmUU2qon4R0vUYvUVS3QC6CICP2m5A2-wd77j8R9G0yg", "existing_collaboration_id": "1234" } ] }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}